%define _debugsource_template %{nil}

Summary:	Docker container vulnerability scanner and linter
Name:		docker-revisor
Version:	0.1
Release:	1%{?dist}.fstec

URL:		https://git.inferitos.ru/msvsphere/docker-revisor
License:	GPLv3
Source0:	https://git.inferitos.ru/msvsphere/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	golang
BuildRequires:	audit-libs-devel

Requires:	trivy
Requires:	openscap-scanner

%description
Docker container vulnerability scanner and linter based on various open-source
tools.

%prep
%autosetup -p1 -n %{name}

%build
GOFLAGS="-mod=vendor" go build -buildmode=pie


%install
install -D -p -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/oval

%files
%doc README.md
%license LICENSE
%attr(0755,root,root) %caps(cap_audit_write,cap_sys_chroot,cap_setpcap+eip) %{_bindir}/%{name}
%dir %{_localstatedir}/lib/%{name}

%changelog
* Mon Feb 17 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1-1.fstec
- Initial build
